Api
Get scrape items
Workflow runs for a single workflow with normalized scrape items. Filter by public `profileId`, run `state`, and `updatedAt` range.
GET
/v1/workflows/{workflowId}/runsWorkflow runs for a single workflow with normalized scrape items. Filter by public profileId, run state, and updatedAt range.
Authorization
BearerAuth AuthorizationBearer <token>
Database-provisioned API token for consumer API access. Send as Authorization: Bearer .
In: header
Path Parameters
workflowId*string
Query Parameters
profileId?string
Optional public profile ID filter.
state?string
Value in
"pending" | "running" | "completed" | "failed"from?integer
Inclusive lower bound on run updatedAt in Unix milliseconds.
to?integer
Inclusive upper bound on run updatedAt in Unix milliseconds.
limit?integer
Default
50Range
1 <= value <= 100cursor?string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://scraper.greenchoice.thirty-five.dev/v1/workflows/string/runs"{
"data": [
{
"runId": "string",
"runKey": "string",
"profileId": "string",
"state": "pending",
"attempt": 0,
"startedAt": 0,
"finishedAt": 0,
"updatedAt": 0,
"scrapeItems": [
{
"rank": 0,
"provider": "string",
"packageName": "string",
"totalAnnualCost": "string",
"monthlyPayment": "string",
"contractType": "string",
"contractDuration": "string",
"discount": "string",
"electricityNormalRate": "string",
"electricityOffPeakRate": "string",
"fixedElectricityCost": "string",
"totalElectricityCost": "string",
"energyReturnCompensationNormal": "string",
"energyReturnCompensationOffPeak": "string",
"energyReturnCosts": "string",
"gasRate": "string",
"fixedGasCost": "string",
"totalGasCost": "string",
"subtotal": "string",
"sustainabilityFeatures": "string",
"indicativeMonthlyInstallment": "string"
}
]
}
],
"pagination": {
"limit": 1,
"nextCursor": "string",
"hasMore": true
}
}{
"error": "string",
"code": "bad_request"
}{
"error": "string",
"code": "bad_request"
}{
"error": "string",
"code": "bad_request"
}